<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/col_6f7"
    android:orientation="vertical">

    <include
        android:id="@+id/title"
        layout="@layout/title_white_bar" />

    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/mRefresh"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <com.scwang.smart.refresh.header.ClassicsHeader
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />


        <androidx.core.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_14"
                    android:layout_marginTop="@dimen/dp_14"
                    android:layout_marginEnd="@dimen/dp_14"
                    android:layout_marginBottom="@dimen/dp_6"
                    android:background="@drawable/shape_sleep_bg_8dp"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/tvDataTile"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_16"
                        android:layout_marginTop="@dimen/dp_22"
                        android:drawableStart="@drawable/shape_head_tip_new"
                        android:drawablePadding="@dimen/dp_10"
                        android:text="血压数据趋势"
                        android:textColor="#313131"
                        android:textSize="@dimen/sp_17"
                        android:textStyle="bold"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        tools:ignore="UseCompatTextViewDrawableXml" />

                    <FrameLayout
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_218"
                        android:layout_marginStart="@dimen/dp_12"
                        android:layout_marginTop="@dimen/dp_16"
                        android:layout_marginEnd="@dimen/dp_12"
                        android:layout_marginBottom="@dimen/dp_18">

                        <com.github.mikephil.charting.charts.LineChart
                            android:id="@+id/mLineChartList"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:visibility="visible" />

                    </FrameLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_14"
                    android:layout_marginTop="@dimen/dp_6"
                    android:layout_marginEnd="@dimen/dp_14"
                    android:layout_marginBottom="@dimen/dp_6"
                    android:background="@drawable/shape_sleep_bg_8dp"
                    android:orientation="vertical">

                    <FrameLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_16"
                        android:layout_marginTop="@dimen/dp_23"
                        android:layout_marginEnd="@dimen/dp_16">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="start|center"
                            android:drawableStart="@drawable/shape_head_tip_new"
                            android:drawablePadding="@dimen/dp_10"
                            android:text="数据详情"
                            android:textColor="#313131"
                            android:textSize="@dimen/sp_17"
                            android:textStyle="bold"
                            tools:ignore="UseCompatTextViewDrawableXml" />

                        <TextView
                            android:id="@+id/tvDataContrastList"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="end|center"
                            android:drawableEnd="@mipmap/ic_app_time"
                            android:drawablePadding="@dimen/dp_5"
                            android:paddingStart="@dimen/dp_26"
                            android:text="查看更多"
                            android:textColor="#25C8D0"
                            android:textSize="@dimen/sp_13"
                            tools:ignore="HardcodedText,RtlSymmetry,UseCompatTextViewDrawableXml" />

                    </FrameLayout>

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/mRecycle"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </LinearLayout>
            </LinearLayout>
        </androidx.core.widget.NestedScrollView>
    </com.scwang.smart.refresh.layout.SmartRefreshLayout>

</LinearLayout>